KDE 4.5 PyKDE API Reference

- KDE's Python API

# CollectionDeleteJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that deletes a collection in the Akonadi storage.

This job deletes a collection and all its sub-collections as well as all associated content.

     Akonadi.Collection collection = ...

     Akonadi.CollectionDeleteJob *job = new Akonadi.CollectionDeleteJob( collection );
     connect( job, SIGNAL( result( KJob* ) ), this, SLOT( deletionResult( KJob* ) ) );

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, Akonadi.Collection collection, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | QObject | parent=0
| ) |  |  |

Creates a new collection delete job. The collection needs to either have a unique identifier or a remote identifier set. Note that using a remote identifier only works in a resource context (that is from within ResourceBase), as remote identifiers are not guaranteed to be globally unique.

Parameters:

  | collection | The collection to delete.
  | parent | The parent object.

doStart | ( |  | self ) |